# Class SqlUpdate

java.lang.Object
uk.ac.starlink.ttools.task.SqlUpdate

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

public class SqlUpdate extends Object implements uk.ac.starlink.task.Task
JDBC table column writer task.

Since:
  10 Dec 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SqlUpdate()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.Executable`
`createExecutable(uk.ac.starlink.task.Environment env)`
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
`String`
`getPurpose()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SqlUpdate

public SqlUpdate()
Constructor.

## Method Details

### getPurpose

public String getPurpose()

Specified by:
  `getPurpose` in interface `uk.ac.starlink.task.Task`

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()

Specified by:
  `getParameters` in interface `uk.ac.starlink.task.Task`

### createExecutable

public uk.ac.starlink.task.Executable createExecutable(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException

Specified by:
  `createExecutable` in interface `uk.ac.starlink.task.Task`
Throws:
  `uk.ac.starlink.task.TaskException`